//http://phrack.org/issues.html?issue=57&id=8#article

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) {
  char *first, *second;

  /* 
    These malloc calls are set up in a specified way as noted in section 3.4.1
	of the article noted at the top.  They could be recalculated, but cannot
	have arbitrary values.
  */
  first = malloc(666);
  second = malloc(12);
  
  //Copy stdin into the first buffer
  strcpy(first, argv[1]);
  
  //Free the first chunk
  free(first);
  
  /*
    This is the second and vulnerable chunk.  If this were a malloc call then
	the function pointer within the attack code would need to change to that
	address from the GOT instead.
  */
  free(second);
  
  return 0;
}
